## ros-melodic-smach-viewer 4.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(smach_viewer)

find_package(catkin REQUIRED COMPONENTS rostest)

catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS smach_ros smach_msgs
  )

# Install targets
catkin_install_python(
  PROGRAMS scripts/smach_viewer.py
           scripts/smach_image_publisher.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## ros-melodic-smach-viewer 3.0.0

=== debian/changelog ===
ros-melodic-smach-viewer (3.0.0-1stretch) stretch; urgency=high

  * use xlabel to show better layout
  * fix https://github.com/ros-visualization/executive_smach_visualization/commit/8e7dd857049695098ed2562b82811db338d0421d#diff-0594a813c7145f4e9e802a6224262e35 and https://github.com/ros-visualization/executive_smach_visualization/commit/c158e3093500c4cdd15654746cf007dba7a094e4
  * add url to edges and jump, add unescape
  * check if item is Url, sometimes it is Jump
  * add necessary packages
  * xdot 0.7 does not have url in edges
  * add subgraph_shapes, which is introduced in jbohren's version of xdot
  * udpate to gtk3.0
    see https://github.com/jrfonseca/xdot.py/commit/dbc0e556cffb164d65b4e56bab8bb9af7f023778#diff-044dd4123ac853930ad0086da07ef7b6L123
    the xdot.py file was copied from version 0.7 (https://raw.githubusercontent.com/jrfonseca/xdot.py/0.7/xdot.py)
  * Contributors: Kei Okada

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 10 Dec 2019 15:00:00 -0000

ros-melodic-smach-viewer (2.0.2-1stretch) stretch; urgency=high

  * Allow launching from a launch file, use rospy.myargv() to remove ROS  remapping arguments (#16 <https://github.com/ros-visualization/executive_smach_visualization/issues/16>)
    * Use rospy.myargv() to remove ROS remapping arguments  Required to allow launching from a launch file, otherwise get errors of the type:
    ```usage: smach_viewer.py [-h] [-f]
    smach_viewer.py: error: unrecognized arguments: __name:=smach_viewer```
    
    <string>:27: (WARNING/2) Inline literal start-string without end-string.
    
    <string>:27: (WARNING/2) Inline interpreted text or phrase reference start-string without end-string.
    
    Solved 'Cannot start smach_viewer.py in launch file' problem #17
  * Contributors: Kartik Mohta

 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 25 Oct 2017 15:00:00 -0000

ros-melodic-smach-viewer (2.0.1-1stretch) stretch; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#15 <https://github.com/ros-visualization/executive_smach_visualization/issues/15>)
  * copy xdot from https://github.com/jbohren/xdot, (#14 <https://github.com/ros-visualization/executive_smach_visualization/issues/14>)
    
      * support for Qt5 (Kinetic)
      * update CMakeLists.txt, package.xml, setup.py, smach_viewer.py for new xdot structure
      * add necessary lines in xdot/__init__.py https://github.com/jbohren/xdot/pull/14
      * copy xdot from https://github.com/jbohren/xdot, since system xdot is released in rosdep key https://github.com/ros/rosdistro/pull/4976
    
  * add auto focus to subgraph mode button (#11 <https://github.com/ros-visualization/executive_smach_visualization/issues/11>)
    
      * add launch option for 'auto focus to subgraph' mode as default
      * add auto focus to subgraph mode button
    
  * feature: Add ability to save the dot graph for further processing (#8 <https://github.com/ros-visualization/executive_smach_visualization/issues/8>)
    
      * forgot two imports
      * Add option to save dot graph to file
        Add a icon which enables the user to save the currently displayed
        graph as a .dot file in the currently hardcoded ros_home/dotfiles,
        which should normaly be $HOME/.ros/dotfiles
        From there it can be converted with the dot commandline tool into
        png, pdf or others without the problem of quality loss.
    
  * wx viewer: checking to make sure item urls are strings to prevent crash (#1 <https://github.com/jbohren/executive_smach_visualization/pull/1>)
  * Contributors: Yuki Furuta, Jonathan Bohren, Kei Okada, Markus Bajones

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 19 Jun 2017 15:00:00 -0000

ros-melodic-smach-viewer (2.0.0-1stretch) stretch; urgency=high

  * Removing rosbuild support and old useless test
  * Fix lost information in package.xml
    That was dropped while catkinizing
  * Contributors: Felix Kolbe, Jonathan Bohren

 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 16 Apr 2014 15:00:00 -0000

ros-melodic-smach-viewer (1.1.0-1stretch) stretch; urgency=high

  * Putting cmake required version call inside the rosbuild/catkin switch
  * Catkinizng (hybrid)
  * Removing old, unused dependency
  * Adding documentation, cleaning up some parts of the wx smach viewer
  * Fix for #5122 <https://github.com/ros-visualization/executive_smach_visualization/issues/5122>: Multi-line name states aren't in activate color by smach_viewer
  * doc review for smach_msgs and smach_viewer
  * smach viewer is doc reviewed
  * add description for smach viewer
  * remove reference to executive python
  * smach viewer runs again
  * smach viewer needs rospy
  * use smach messages instead of executive python messages
  * import from https://code.ros.org/svn/wg-ros-pkg/branches/jbohren/executive_smach, which is the restructured code from the executive_python stack
  * Contributors: Jonathan Bohren, Wim Meeussen, wim

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 28 Jun 2013 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-smach-viewer
Section: misc
Priority: extra
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rostest
Homepage: http://ros.org/wiki/smach_viewer
Standards-Version: 3.9.2

Package: ros-melodic-smach-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, graphviz, libgtk-3-dev, python-gi, python-gi-cairo, python-wxgtk3.0, ros-melodic-smach-msgs, ros-melodic-smach-ros
Description: The smach viewer is a GUI that shows the state of hierarchical SMACH state machines.
 It can visualize the possible transitions between states, as well as the currently active state and the values of user data that is passed around between states. The smach viewer uses the SMACH debugging interface based on the smach messages to gather information from running state machines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-smach-viewer//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-smach-viewer 4.1.0

=== debian/changelog ===
ros-melodic-smach-viewer (4.1.0-1bionic) bionic; urgency=high

  * add timestamp in published image (#50 <https://github.com/ros-visualization/executive_smach_visualization/issues/50>)
    
      * some tools, for example jsk_rosbag_tools requries all message have time stamp
    
  * [smach_viewer] remove smach image in /tmp when the node is killed (#48 <https://github.com/ros-visualization/executive_smach_visualization/issues/48>)
    
      * remove smach image in /tmp when the node is killed
    
  * [smach_viewer] add smach_image_publisher.py for headless environment (#46 <https://github.com/ros-visualization/executive_smach_visualization/issues/46>)
    
      * add time stamp in image topics
      * add compressed image publisher
      * change file name and set constant image size
      * check if file is proper
      * change color in active states
      * import not local file
      * add smach_image_publisher.py
      * split and make SmachViewerBase, utils and text_wrapper
    
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 23 Feb 2023 15:00:00 -0000

ros-melodic-smach-viewer (4.0.1-1bionic) bionic; urgency=high

  * Fix 4.0.0, which does not work on both Melodic/Noetic (#43 <https://github.com/ros-visualization/executive_smach_visualization/issues/43>)
    
      * use LooseVersion(wx.__version__) to support old Melodic (wxPython 3.0)
      * typos
      * more deprecated functions to test on melodic
      * why wouldn't this work with python3 ?
      * add missing dependency on cv_bridge
      * update use of deprecated functions
      * update pckage.xml based on https://github.com/ros-visualization/executive_smach_visualization/pull/39
      * use catkin_install_python to automatically set /usr/bin/env python3 for noetic, but need to remove smach_viewer/lib/smach_viewer from sys.path
      * xdot/wxxdot.py: intentionally uses from xdot, instead of from .xdot, because we want to use local xdot for Pytohn2 and sytem xdot for Python3
      * Revert "apply 2to3 -w -f import *" This reverts commit 4cbd2ab0d16d4123e9227bf6b9e627bd4bd8ea7f.
    
  * Contributors: Kei Okada, Mikael Arguedas

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 01 Aug 2022 15:00:00 -0000

ros-melodic-smach-viewer (4.0.0-1bionic) bionic; urgency=high

  * publish smach viewer image (#37 <https://github.com/ros-visualization/executive_smach_visualization/issues/37>)
  * use custom TextWrapper to wrap a sentence of multibyte languages into several lines (#40 <https://github.com/ros-visualization/executive_smach_visualization/issues/40>)
    
      * use TextWrapper for multibyte launguages
      * the TextWrapper is copied from sphinx
    
  * Melodic/Noetic support (#42 <https://github.com/ros-visualization/executive_smach_visualization/issues/42>)
    
      * use MyXDotParser in python3
      * check subgraph_shapes hasattr
      * Merge branch 'melodic-devel' into image-publish
      * apply 2to3 -w -f import *
      * Use GetPosition istead of GetPositionTuple
      * noetic support, based on InigoMoreno's work. see #39 <https://github.com/ros-visualization/executive_smach_visualization/issues/39>
    
  * fix unpacking the user data (#38 <https://github.com/ros-visualization/executive_smach_visualization/issues/38>)
  * Fix CI #41 <https://github.com/ros-visualization/executive_smach_visualization/issues/41> from k-okada/fix_ci
    
      * update .travis.yml
      * apply 2to3 -w -f import *
      * apply 2to3 -w -f dict *
      * apply 2to3 -w -f zip *
      * add try except and trying line width one by one
        
          * publish smach viewer image
        
    
  * [FIX] 'Jump' object has no attribute 'url' (#31 <https://github.com/ros-visualization/executive_smach_visualization/issues/31>)
    Fix for AttributeError: 'Jump' object has no attribute 'url'
    To reproduce:
    - roscore
    - rosrun smach_viewer smach_viewer.py
    - Press "+" button to increase depth and hover over/click text "Path not available"
    - Error prints in terminal
  * Contributors: Gintaras, Kei Okada, Kousuke Takeuchi, Shingo Kitagawa

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 22 Jul 2022 15:00:00 -0000

ros-melodic-smach-viewer (3.0.1-1bionic) bionic; urgency=high

  * Merge pull request #30 <https://github.com/ros-visualization/executive_smach_visualization//issues/30> from k-okada/add_noetic
    add noetic, remove indigo/lunar
  * fix syntax for python3
  * Contributors: Kei Okada

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Aug 2020 15:00:00 -0000

ros-melodic-smach-viewer (3.0.0-1bionic) bionic; urgency=high

  * use xlabel to show better layout
  * fix https://github.com/ros-visualization/executive_smach_visualization/commit/8e7dd857049695098ed2562b82811db338d0421d#diff-0594a813c7145f4e9e802a6224262e35 and https://github.com/ros-visualization/executive_smach_visualization/commit/c158e3093500c4cdd15654746cf007dba7a094e4
  * add url to edges and jump, add unescape
  * check if item is Url, sometimes it is Jump
  * add necessary packages
  * xdot 0.7 does not have url in edges
  * add subgraph_shapes, which is introduced in jbohren's version of xdot
  * udpate to gtk3.0
    see https://github.com/jrfonseca/xdot.py/commit/dbc0e556cffb164d65b4e56bab8bb9af7f023778#diff-044dd4123ac853930ad0086da07ef7b6L123
    the xdot.py file was copied from version 0.7 (https://raw.githubusercontent.com/jrfonseca/xdot.py/0.7/xdot.py)
  * Contributors: Kei Okada

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 10 Dec 2019 15:00:00 -0000

ros-melodic-smach-viewer (2.0.2-1bionic) bionic; urgency=high

  * Allow launching from a launch file, use rospy.myargv() to remove ROS  remapping arguments (#16 <https://github.com/ros-visualization/executive_smach_visualization/issues/16>)
    * Use rospy.myargv() to remove ROS remapping arguments  Required to allow launching from a launch file, otherwise get errors of the type:
    ```usage: smach_viewer.py [-h] [-f]


=== debian/control ===
Source: ros-melodic-smach-viewer
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rostest
Homepage: http://ros.org/wiki/smach_viewer
Standards-Version: 3.9.2

Package: ros-melodic-smach-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, graphviz, libgtk-3-dev, pyqt5-dev, python-gi, python-gi-cairo, python-pyqt5, python-pyqt5.qtsvg, python-rospkg, python-sip-dev, python-wxgtk3.0, ros-melodic-cv-bridge, ros-melodic-smach-msgs, ros-melodic-smach-ros, xdot
Description: The smach viewer is a GUI that shows the state of hierarchical SMACH state machines.
 It can visualize the possible transitions between states, as well as the currently active state and the values of user data that is passed around between states. The smach viewer uses the SMACH debugging interface based on the smach messages to gather information from running state machines.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
